Subject: [Mip6] Re: secdir review of draft-ietf-mip6-ikev2-ipsec-07.txt

From: Vijay Devarapalli <[email-masked]>
Date: Sat, 25 Nov 2006 13:06:33 -0800

hi Steve,

thanks for the review.

Steven M. Bellovin wrote:
> One obvious problem: Section 4.1 notes that 3775 requires support for
> manual key management, and lists IKE support as a "MAY".  However, 4107 --
> a BCP which came out after 3775 -- establishes a strong presumption that
> automated key management automated key management be used.  Accordingly,
> this draft should mandate support for IKEv2, as it does not appear to fall
> under any of the exceptions.

this was discussed on the MIP6 mailing list. it was
felt  that this particular draft should not update
this part of RFC 3775. draft-ietf-mip6-ikev2-ipsec
only describes how IKEv2 should be used with MIPv6.
not whether MIPv6 MUST use IKEv2. that belongs in
the MIPv6 base specification. I think it is best
handled when RFC 3775 is revised.

> 4.3 says that anti-replay is optional.  However, Section 1 of 3776 says
> that anti-replay is required, though it notes that it can't be done
> properly without IKE.  Assuming that IKEv2 is mandated here, anti-replay
> should be as well.

the primary mechanism for anti-replay protection
for the binding updates is the sequence number in
the binding updates. the only time this fails is
when the home agent looses the binding cache state
(for e.g. it reboots). in this case, dynamic keying
(through IKEv2) provides replay protection since a
new security association for protecting the BU is
negotiated automatically (since the home agent lost
all state). any binding updates protected by the
old IPsec SA will not be accepted. hope that
clarifies the text.

Vijay

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Vijay Devarapalli <[email-masked]>
Date: Sat, 25 Nov 2006 13:35:56 -0800

thanks for the quick response.

Steven M. Bellovin wrote:
> On Sat, 25 Nov 2006 13:06:33 -0800

>>> 4.3 says that anti-replay is optional.  However, Section 1 of 3776
>>> says that anti-replay is required, though it notes that it can't be
>>> done properly without IKE.  Assuming that IKEv2 is mandated here,
>>> anti-replay should be as well.
> Makes sense -- but similar text should be in the draft to clarify it.

how about the following text in section 4.3

       The
       use of sequence number in the ESP header to provide anti-replay
       protection is optional because the sequence numbers in the Binding
       Updates provide anti-replay protection.  However, the anti-replay
       protection fails if the home agent looses the binding cache state,
       for example, due to a reboot.  Since the IPsec security
       association state can be also be assumed to be lost, ESP cannot
       provide anti-replay protection in thise case.  Complete anti-
       replay protection can only be provided by the use of a dynamic
       keying mechanism, like IKEv2.

Vijay

---

From: "Steven M. Bellovin" <[email-masked]>
Date: Sat, 25 Nov 2006 16:11:59 -0500

On Sat, 25 Nov 2006 13:06:33 -0800
Vijay Devarapalli <[email-masked]> wrote:

> > One obvious problem: Section 4.1 notes that 3775 requires support
> > for manual key management, and lists IKE support as a "MAY".
> > However, 4107 -- a BCP which came out after 3775 -- establishes a
> > strong presumption that automated key management automated key
> > management be used.  Accordingly, this draft should mandate support
> > for IKEv2, as it does not appear to fall under any of the
> > exceptions.
> 

I'll leave that one to the IESG.

		--Steve Bellovin, http://www.cs.coluFrom [email-masked] Thu Nov 30 13:46:03 2006
Date: Sat, 25 Nov 2006 16:11:59 -0500
From: "Steven M. Bellovin" <[email-masked]>
To: Vijay Devarapalli <[email-masked]>
Organization: Columbia University
Cc: [email-masked], [email-masked], [email-masked],
	[email-masked], [email-masked], [email-masked], [email-masked]
Subject: [Mip6] Re: secdir review of draft-ietf-mip6-ikev2-ipsec-07.txt

On Sat, 25 Nov 2006 13:06:33 -0800
Vijay Devarapalli <[email-masked]> wrote:

> > One obvious problem: Section 4.1 notes that 3775 requires support
> > for manual key management, and lists IKE support as a "MAY".
> > However, 4107 -- a BCP which came out after 3775 -- establishes a
> > strong presumption that automated key management automated key
> > management be used.  Accordingly, this draft should mandate support
> > for IKEv2, as it does not appear to fall under any of the
> > exceptions.
> 

I'll leave that one to the IESG.

		--Steve Bellovin, http://www.cs.columbia.edu/~smb

---

From: "Steven M. Bellovin" <[email-masked]>
Date: Sat, 25 Nov 2006 17:16:11 -0500

On Sat, 25 Nov 2006 13:35:56 -0800
Vijay Devarapalli <[email-masked]> wrote:

>        protection is optional because the sequence numbers in the
> Binding Updates provide anti-replay protection.  However, the
> anti-replay protection fails if the home agent looses the binding
> cache state, for example, due to a reboot.  Since the IPsec security
Perfect; thanks.